Qt 5.6 | Qt 3D | C++ Classes | QNodeId

Qt 5.6.3 Reference Documentation

# QNodeId Class

(Qt3DCore::QNodeId)

- List of all members, including inherited members

## Public Functions

| QNodeId()
quint64 | id() const
bool | isNull() const
bool | operator!=(const QNodeId &other) const
bool | operator<(const QNodeId &other) const
bool | operator==(const QNodeId &other) const
bool | operator>(const QNodeId &other) const

## Static Public Members

QNodeId | createId()

## Member Function Documentation

### QNodeId::QNodeId()

Default constructs an instance of QNodeId.

### `[static]` QNodeId QNodeId::createId()

### quint64 QNodeId::id() const

### bool QNodeId::isNull() const

### bool QNodeId::operator!=(const QNodeId &other) const

### bool QNodeId::operator<(const QNodeId &other) const

### bool QNodeId::operator==(const QNodeId &other) const

### bool QNodeId::operator>(const QNodeId &other) const